classification
Title: Update test_base64 to use test.support.script_helper
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: berker.peksag, bobcatfish, ezio.melotti, martin.panter, python-dev, r.david.murray
Priority: normal Keywords: patch

Created on 2015-05-24 20:13 by bobcatfish, last changed 2015-07-25 11:19 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
issue24279_base64.patch bobcatfish, 2015-05-24 20:16
issue24279_base64.patch bobcatfish, 2015-06-14 17:31 review
Messages (5)
msg243999 - (view) Author: Christie (bobcatfish) * Date: 2015-05-24 20:13
As described in Issue9517, many test modules do not make use of the helpers in script_helpers.py to invoke the python interpreter in a subprocess. Issue9517 will be broken down into several smaller issues so we can address smaller change sets.

This issue is to update test_base64.py to use script_helpers.py.
msg244000 - (view) Author: Christie (bobcatfish) * Date: 2015-05-24 20:16
Updated TestMain in test_base64 to use test.support.script_helpers. Split `test_encode_file` into two tests.
msg245347 - (view) Author: Christie (bobcatfish) * Date: 2015-06-14 17:31
Uploading a new patch, diffed against a public revision so it's reviewable.
msg247340 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-07-25 11:15
New changeset 8e1291cc8b69 by Berker Peksag in branch '3.5':
Issue #24279: Update test_base64 to use test.support.script_helper.
https://hg.python.org/cpython/rev/8e1291cc8b69

New changeset 472f354c70b8 by Berker Peksag in branch 'default':
Issue #24279: Update test_base64 to use test.support.script_helper.
https://hg.python.org/cpython/rev/472f354c70b8
msg247342 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2015-07-25 11:19
Thanks Christie. I've kept get_output() and changed it to return assert_python_ok().out.
History
Date User Action Args
2016-05-20 17:16:04berker.peksaglinkissue9517 dependencies
2015-07-25 11:19:42berker.peksagsetstatus: open -> closed

components: + Tests
versions: + Python 3.6
messages: + msg247342
type: enhancement
resolution: fixed
stage: resolved
2015-07-25 11:15:20python-devsetnosy: + python-dev
messages: + msg247340
2015-06-29 08:20:22martin.pantersetnosy: + martin.panter
2015-06-14 17:31:15bobcatfishsetfiles: + issue24279_base64.patch

messages: + msg245347
2015-06-06 22:05:38bobcatfishsetnosy: + ezio.melotti, r.david.murray, berker.peksag
2015-05-24 20:16:57bobcatfishsetfiles: + issue24279_base64.patch
keywords: + patch
messages: + msg244000
2015-05-24 20:13:11bobcatfishcreate